Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class RepeatMonthlyByDateAdjust

    java.lang.Object
      com.compoze.collab.beacm.RepeatAdjust
          com.compoze.collab.beacm.RepeatMonthlyByDateAdjust

All Implemented Interfaces
  Serializable

    public class RepeatMonthlyByDateAdjust

extends RepeatAdjust
implements Serializable

This class stores the values for a 'repeat monthly by date' adjust.

See Also
  Serialized Form

Constructor Summary
`RepeatMonthlyByDateAdjust()` Constructor.
`RepeatMonthlyByDateAdjust(String[] values)` Constructor.

Method Summary
`void` | `addDayOfMonth(int iDayOfMonth)` Adds the day of month to the repeat values.
`boolean` | `containsDayOfMonth(int iDayOfMonth, Date givenDate)` Checks to see if this adjust contains the day of month.

Methods inherited from class com.compoze.collab.beacm.RepeatAdjust
`getValues, getValuesArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatMonthlyByDateAdjust

    public RepeatMonthlyByDateAdjust()

  Constructor.

  Parameters
    `values` - the adjust values

### RepeatMonthlyByDateAdjust

    public RepeatMonthlyByDateAdjust(String[] values)

  Constructor.

  Parameters
    `values` - the adjust values

Method Detail

### addDayOfMonth

    public void addDayOfMonth(int iDayOfMonth)

  Adds the day of month to the repeat values. The date should be between 1-31, depending on the month.

  For example, to repeat on the 5th of a month, call `addDayOfMonth(5)`.

  Parameters
    `iDayOfMonth` - the day of month (should be between 1-31)

### containsDayOfMonth

    public boolean containsDayOfMonth(int iDayOfMonth,
                                      Date givenDate)

  Checks to see if this adjust contains the day of month.

  Parameters
    `iDayOfMonth` - the day of the month
  Returns
    `true` if it contains the specified day of month; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved